=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2011-08-17 11:04:00 +0000
+++ loggerhead/apps/branch.py	2011-11-02 01:16:02 +0000
@@ -165,9 +165,9 @@
             environ['loggerhead.as_json'] = True
             path = request.path_info_pop(environ)
         cls = self.controllers_dict.get(path)
-        if cls is None:
-            raise httpexceptions.HTTPNotFound()
-        return cls(self, self.get_history)
+        if cls is not None:
+            return cls(self, self.get_history)
+        raise httpexceptions.HTTPNotFound()
 
     def app(self, environ, start_response):
         self.branch.lock_read()

=== modified file 'loggerhead/tests/test_controllers.py'
--- loggerhead/tests/test_controllers.py	2011-09-02 09:43:08 +0000
+++ loggerhead/tests/test_controllers.py	2011-11-02 01:16:02 +0000
@@ -1,11 +1,7 @@
-import simplejson
-
 from loggerhead.apps.branch import BranchWSGIApp
 from loggerhead.controllers.annotate_ui import AnnotateUI
 from loggerhead.controllers.inventory_ui import InventoryUI
-from loggerhead.controllers.revision_ui import RevisionUI
 from loggerhead.tests.test_simple import BasicTests, consume_app
-from loggerhead import util
 
 
 class TestInventoryUI(BasicTests):
@@ -168,6 +164,7 @@
         annotated = annotate_info['annotated']
         self.assertEqual(0, len(annotated))
 
+
 class TestFileDiffUI(BasicTests):
 
     def make_branch_app_for_filediff_ui(self):

